{#
/**
 * @file
 * Theme override to display a pager.
 *
 * Available variables:
 * - items: List of pager items.
 *   The list is keyed by the following elements:
 *   - first: Item for the first page; not present on the first page of results.
 *   - previous: Item for the previous page; not present on the first page
 *     of results.
 *   - next: Item for the next page; not present on the last page of results.
 *   - last: Item for the last page; not present on the last page of results.
 *   - pages: List of pages, keyed by page number.
 *   Sub-sub elements:
 *   items.first, items.previous, items.next, items.last, and each item inside
 *   items.pages contain the following elements:
 *   - href: URL with appropriate query parameters for the item.
 *   - attributes: A keyed list of HTML attributes for the item.
 *   - text: The visible text used for the item link, such as "‹ Previous"
 *     or "Next ›".
 * - current: The page number of the current page.
 * - ellipses: If there are more pages than the quantity allows, then an
 *   ellipsis before or after the listed pages may be present.
 *   - previous: Present if the currently visible list of pages does not start
 *     at the first page.
 *   - next: Present if the visible list of pages ends before the last page.
 *
 * @see template_preprocess_pager()
 */
#}
{% if items %}
  <nav aria-label="{{ heading_id }}">
    <p id="{{ heading_id }}" class="sr-only">{{ 'Pagination'|t }}</p>
    <ul class="pagination js-pager__items">
      {# Print first item if we are not on the first page. #}
      {% if items.first %}
        <li class="page-item">
          <a href="{{ items.first.href }}" title="{{ 'Go to first page'|t }}"{{ items.first.attributes|without('href', 'title') }} class="page-link">
            <span aria-hidden="true">{{ items.first.text|default('«'|t) }}</span>
            <span class="sr-only">{{ 'First page'|t }}</span>
          </a>
        </li>
      {% endif %}
      
      {# Print previous item if we are not on the first page. #}
      {% if items.previous %}
        <li class="page-item">
          <a href="{{ items.previous.href }}" title="{{ 'Go to previous page'|t }}" rel="prev"{{ items.previous.attributes|without('href', 'title', 'rel') }} class="page-link">
            <span aria-hidden="true">{{ items.previous.text|default('‹'|t) }}</span>
            <span class="sr-only">{{ 'Previous page'|t }}</span>
          </a>
        </li>
      {% endif %}
      {# Add an ellipsis if there are further previous pages. #}
      {% if ellipses.previous %}
        <li class="page-item" role="presentation"><span class="page-link">&hellip;</span></li>
      {% endif %}
      
      {# Now generate the actual pager piece. #}
      {% if node_type == 'islandora_object' or group_type_label == 'project' or group_content_search_page or solr_search_content_page %}
        {% for key, item in items.pages %}
          <li class="page-item {{ current == key ? 'active' : '' }}">
            {% if current == key %}
              <li class="pager__item is-active">
                {% trans %}
                  Page {{ current }} OF {{ pager_max }}
                {% endtrans %}
              </li>
            {% endif %}
          </li>
        {% endfor %}
      {% else %}
        {% for key, item in items.pages %}
          <li class="page-item {{ current == key ? 'active' : '' }}">
            {% if current == key %}
              {% if node_type == 'islandora_object' or group_type_label == 'project' %}
                <li class="pager__item is-active">
                  {% trans %}
                    Page {{ current }} OF {{ pager_max }}
                  {% endtrans %}
                </li>
              {% else %}
                <span class="page-link">
                  {{- key -}}
                </span>
              {% endif %}
            {% else %}
            <a href="{{ item.href }}" title="{{ title }}"{{ item.attributes|without('href', 'title') }} class="page-link">
              {{- key -}}
            </a>
            {% endif %}
          </li>
        {% endfor %}
      {% endif %}
      {# Add an ellipsis if there are further next pages. #}
      {% if ellipses.next %}
        <li class="page-item" role="presentation"><span class="page-link">&hellip;</span></li>
      {% endif %}
      {# Print next item if we are not on the last page. #}
      {% if items.next %}
        <li class="pager__item--next">
          <a href="{{ items.next.href }}" title="{{ 'Go to next page'|t }}" rel="next"{{ items.next.attributes|without('href', 'title', 'rel') }} class="page-link">
            <span aria-hidden="true">{{ items.next.text|default('›'|t) }}</span>
            <span class="sr-only">{{ 'Next page'|t }}</span>
          </a>
        </li>
      {% endif %}
      {# Print last item if we are not on the last page. #}
      {% if items.last %}
        <li class="page-item">
          <a href="{{ items.last.href }}" title="{{ 'Go to last page'|t }}"{{ items.last.attributes|without('href', 'title') }} class="page-link">
            <span aria-hidden="true">{{ items.last.text|default('»'|t) }}</span>
            <span class="sr-only">{{ 'Last page'|t }}</span>
          </a>
        </li>
      {% endif %}
    </ul>
  </nav>
{% endif %}
